- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_stream_socket_t

# mongoc_stream_socket_get_socket()

## Synopsis

    mongoc_socket_t *
    mongoc_stream_socket_get_socket (mongoc_stream_socket_t *stream);

## Parameters

- `stream`: A mongoc_stream_socket_t.

Retrieves the underlying mongoc_socket_t for a mongoc_stream_socket_t.

## Returns

A mongoc_stream_socket_t.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.